////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2016 Clemson University.
//
// This file was originally written by Bradley S. Meyer.
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
//
//////////////////////////////////////////////////////////////////////////////*/

////////////////////////////////////////////////////////////////////////////////
//!
//! \file
//! \brief A header file to define NucNet Tools thermodynamics routines.
//!
////////////////////////////////////////////////////////////////////////////////

#ifndef MY_THERMO_H
#define MY_THERMO_H

#include <boost/bind.hpp>

#include <Libnucnet.h>
#include <Libstatmech.h>

#include "nnt/string_defs.h"
#include "nnt/param_defs.h"
#include "nnt/iter.h"
#include "nnt/auxiliary.h"
#include "nnt/math.h"

#include "user/network_utilities.h"
#include "user/nse_corr.h"
#include "user/thermo.h"

namespace my_user
{

double
my_baryon_entropy(
  nnt::Zone&
);

double
my_total_entropy(
  nnt::Zone&
);

} // namespace my_user

#endif // MY_THERMO_H
